<?php
require_once("PHP/MyDatabase.php");
require_once("PHP/MyPage.php");

$FORMA = <<<EOT
<h1>Mój nowy wpis</h1>

<form method="post" action="myblogB.php?do=save" id="forma">
<label for="fTitle">Tytul</label> 
<input type="text" name = "tytul" size="40" maxlength="120" placeholder="Tytul wpisu" required id="fTitle"> <br>
<label for = "fInfo">Treść</label>
<textarea rows = "10" cols = "60" name = "info" placeholder="Wpisz swoją uwagę ..." required id="fInfo">
</textarea>
<br>
<input type="hidden" value="{{DATA}}" name = "data" class="btn">
<input type="submit" value="Zapisz" class="btn-b smooth">
</form>
<hr>
<a class="btn btn-a smooth" href="myBlogA.php">Powrót</a>

EOT;

function WyswietlFormularz(){
	global $FORMA;
	$P = new WPPTPage('2',"Kadra Katedry Informatyki WPPT PWr");
	$P->SetDescription("Mój blog");
	$P->AddKeywords("opinie, uwagi");
	$P->AddCSS("kadra.css");
	$P->AddCSS("blog.css");

	echo $P->Begin();	
	echo (string) str_replace("{{DATA}}", date('Y-m-d'),$FORMA);
	echo $P->End();
}

function ZapiszFormularz(){
	$data  = $_REQUEST["data"];
	$tytul = $_REQUEST["tytul"];
	$info  = $_REQUEST["info"];

	//usuwamy większność tagów HTML
	$info = strip_tags($info,"<br><em><strong><p>");

	$db = myDB();
	
	//używamy tylko "prepared queries" - to jest standard produkcyjny
	$stmt = $db->prepare("INSERT INTO blog(Data,Tytul,Info) VALUES (?,?,?)");
	$stmt-> bind_param("sss", $data, $tytul, $info);

	if ($stmt -> execute()){
		header("Location: myblogA.php");
	} else {
		header("Location: myBLogB.php?do=error");
	}
	exit;
}

function WyswietlBlad(){
	echo "O kurcze: błąd bazy !!!!!!!!!!!!!!!!!";
}

// STEROWANIE

$what = (isset($_REQUEST['do'])?$_REQUEST['do']:"");

switch ($what){
	case "save"  : 
		ZapiszFormularz(); 
		break;
	case "error" : 
		WyswietlBlad();    
		break;
	default:
		WyswietlFormularz();
}
?>  